Welcome to DocCommander

DocCommander is a replacement for the standard Open/Save dialog box of Windows. DocCommander integrates into Windows and pops up when you click Open or Save menu item or toolbar button in any application.

DocCommander solves more than 10 problems of Windows that every day force millions of Windows users to waste their time.

DocCommander has appealing "Office 2000 - style" user interface that can be customized to meet your taste.

Take a quick tour to learn how to use DocCommander.

Program features:

Integration with your favorite applications.

Quick access to your favorite folders with a special customizable panel called "Quick Bar".

Access to the system "Favorites" folder and ability to add links to files and folders to it using drag'n'drop.

Full-scale file search with various criteria such as date of modification, file size, file content and/or file name.

Inplace file search with autosuggestion feature like one introduced in the Windows 2000.

Preview of files of a common types. Formats supported are: BMP, GIF, JPEG, PNG, DOC (Word), PPT (PowerPoint), XLS (Excel), WMF, HTML, and even e-mail messages (*.eml).

Quick filtering of the file list.

SuperRecent technology to store an unlimited number of links to the recently accessed files.

Full drag'n'drop support.

Fully customizable user interface.

Note for trial users: You may use DocCommander during 30-day trial period.
To continue use after trial period ends you must purchase a license to this product.


Windows Problems that DocCommander Solves

Problem: Windows recently accessed document list may contain at most 15 documents.
Solution: DocCommander may contain an unlimited number of documents using its "SuperRecent" technology.

Problem: You cannot access the system Favorites folder from within the Open/Save dialog, nor can you add a file or folder to it.
Solution: The favorites folder can be easily accessed from DocCommander by clicking on its icon located on the "QuickBar". You can add files or folders to the favorites list by dragging a file to the Favorites icon on QuickBar.

Problem: You cannot access the list of recently used documents (same as system Recent folder) from the plain Open/Save dialog. This frustrating issue has been fixed in Office 2000 but still exists in all other applications.
Solution: DocCommander's SuperRecent folder can be easily accessed from the DocCommander window. It collects links to recently accessed files as Office 2000 does, but for all types of documents (and for Office documents too!)

Problem: The plain Open/Save dialog does not support file searching. As a result the power of the file system search capability cannot be used when needed most.
Solution: You can use the "Find Files and Folders" utility directly from DocCommander and any file found can be dragged into DocCommander.

Problem: (Win95/98/NT4) Standard Open/Save dialog doesn't provide an inplace file/folder search capability.
Solution: DocCommander supports inplace searching. You can type just a few letters of a file name in the File Name field and drop-down list will suggest all available alternatives.

Problem: The font used to display the File list in the Open/Save dialog is too small and cannot be changed without altering the system font size. Changing system font size is not recommended due to it's affect on other applications.
Solution: FileView window of DocCommander is fully customizable. You can select any font and/or font size desired.

Problem: You cannot return back to the previous folder in the Open/Save dialog box. Imagine that you viewed a folder and clicked on a link to another folder. You will get to the folder you clicked but you can't easily get back to the starting point.
Solution: DocCommander remembers the history of all folders you visit. You can easily step back by clicking Go Back button.

Problem: The "Files Of Type" field in the Open/Save dialog box doesn't contain an active "user defined" filter mask. Imagine that you enter a filter mask into the File Name field, hit Enter - the filter activates. Now click any file in the list - filter mask disappears, but filter is still active. Notice that the "Files of Type" field now shows the wrong information! You are viewing files of the type you filtered, not of the type currently displayed in the "Files Of Type" field.
Solution: DocCommander remembers filter masks you typed and places them into the "Files Of Type" drop-down list. You are always aware of active filter and filter mask. Any of the remembered filters can be applied by selecting it in the "Files Of Type" list.

Problem: (Win95/NT4) The Open/Save dialog box is small and can't be resized. This makes viewing folders that contain many files very difficult.
Solution: The DocCommander's window can be resized to accommodate a large number of files.


System Requirements

Hardware:
486 or higher PC
32 MB of memory
1 MB of free hard disk space
A mouse

Software:
Microsoft Windows 95/98/ME/NT4/2000 operating system

Note for Windows 95 users:
The ActiveDesktop update is required to enable the Preview feature. This update comes with full installation of Microsoft Internet Explorer version 4.01 or higher.


Integration with applications

DocCommander will integrate into virtually any application instead of using the standard Open/Save dialog. Simply run DocCommander and work as usually. Now you're able to open any file in just three clicks:

1. Click Open or Save button in your application.

DocCommander's window appears:

Look at the blue panel at left. Here are your favorite folders. In the next tour step you will read how to add more folders to the panel. This panel is called QuickBar.

2. Click a folder on the QuickBar panel.

The FileView window at right shows content of the folder you have clicked.

3. Double-click a file in the list.

You're done! The file opens in your application.

Now you're know how to open and save files with DocCommander. Proceed to the next tour step.


Quick Access to your favorite folders with Quick Bar

The color panel at the left side of DocCommander's window is called the QuickBar. You can place links to your favourite folders onto QuickBar using drag'n'drop. Simply drag the folder you want to place into QuickBar from the File View window (or even from the Windows Desktop or Explorer - indeed from any drag'n'drop source you can imagine!) to QuickBar. A blue mark will show the location of new folder link.

The Quick Bar panel can be scrolled with mouse wheel or by clicking on the small arrows that appears at the bottom (or top) of QuickBar.

You can remove unneeded shortcuts using the Remove command on the context menu. Right-click on the folder shortcut you wish to remove and select Remove in the context menu.


Changing QuickBar display mode

When the number of folder shortcuts gets large you may want to switch the QuickBar into the Small Icons mode. In the Small Icons mode icon labels are placed at right of the icons and the icons themselves are smaller. This mode conserves QuickBar space and much more folder shortcuts can be viewed at once. This mode is also scrollable like the Big Icons mode.

You can change the QuickBar background color using the Color command from the context menu. Click anywhere inside the QuickBar, (but not on a folder icon or text) and select Color from the context menu. The Choose Color dialog window will be shown. Pick your favorite color and click OK.


Find files and folders - powerful and easy

DocCommander integrates with the Find Files or Folders application of Windows which is commonly underutilized. You can locate the Find window by clicking the toolbar button or Tools/Find menu option.

You may then perform complex searches with various criteria such as date of modification, file size, file content and/or file name. When you are done with the search simply drag the selected file into the File Name field. DocCommander will automatically switch to the directory of file just found. All you need to do is to click the Open button to open the file.


Inplace File Search

Inplace file search is a feature like the one introduced in the Windows 2000. It suggests all possible file names that match to partial path and filename information you have typed. Thus, you can type only first few letters of a file name and select a file from the drop list. Both absolute and relative paths are supported.


Quick Filtering

You can use the Quick Filtering feature to filter the displayed list of files. You can use partial names with wildcards, for example *.txt will show only text files in the file list. The current filter will remain even if you change the current folder. All filter expressions you enter will be remembered in the Files of Type combo box. You can choose one of them later if you will need to use it again.


Changing QuickBar appearance

You can change the QuickBar's visual appearance using the Quick Bar property page. To display this page click the Tools/Options… menu item.

The Fonts and Colors section lets you choose the font and color of the QuickBar icon labels and background color. The Sample field displays the name and the size of current font using current text and background colors.
The Mode section allows you to select Large or Small icons.


Changing the FileView appearance

You can change the color and the font of the FileView window using File View property page. To display this page click Tools/Options… menu item and then click on File View tab.

The Font section lets you choose the font of the FileView window. The Sample field displays the name and the size of current font.

The Settings section lets you customize behavior of the File View window:

If the Remember scroll position checkbox is checked then the File View window will scroll automatically to the last scroll position you've been using.
If the Remember last selection checkbox is checked then the File View window will remember which files and folders were selected and select them again when you open the window next time.

Both these option can be very useful when you are opening (or saving as well) a couple of files, one-by-one. Turn the options on and a blue selection mark will show you last file you have open so you can easily pick up the next file.

Note, that both options can work only if the current directory matches to the last one and the file filter is the same.


Adjusting SuperRecent's file limit

You can change the SuperRecent settings using SuperRecent property page. To display this page click Tools/Options… menu item and then click on the SuperRecent tab.

Maximum amount of links field shows how many links to recently used files and folders that SuperRecent is allowed to store. When the number of stored links exceeds this limit DocCommander deletes the oldest links to make a room for new links.
Store folder links - this feature is available only on Windows 2000 systems. If this checkbox is checked then SuperRecent keeps not only links to recently accessed files but also links on folders and where these files reside.


Changing Startup Mode

You can change the DocCommander startup mode using the Startup property page. To display this page right-click on the DocCommander tray icon and then select Startup Settings… from the context menu.

"Start DocCommander when Windows starts" checkbox lets you place DocCommander in startup mode. The checkbox is checked by default and is recommended to run DocCommander in this mode. This allows DocCommander to collect the most data about the files you access.


Changing 'Ignore Applications' List

You can force DocCommander to ignore some applications using the Ignore List page. To display this page, right-click on the DocCommander tray icon and then select Startup Settings… from the context menu, then select Ignore List tab.

Ignoring some applications can be useful if the application has a highly customized Open/Save dialog box (for example Photoshop has one) and you want to retain the original functionality untouched. In such cases you may add the name of executable file to the Ignore List.

Click the Add button to display the Input Name dialog box.

Enter the name of the application's executable to in the Name field and click OK to proceed.

You can use the Remove button to delete unwanted items from the list.


DocCommander FAQ

FAQ

Q. Why doesn't my preview work when running Win95 with IE5.5 installed?

A. You need a full version of Internet Explorer installed with the ActiveDesktop support to enable Preview.
You can verify if you are running the full version of IE by checking for the file ie4shl95.cab among IE setup files. If that file is present you are running a full version.

Q. Why does previewing my Office documents not work?

A. Office documents can be previewed only if they've been saved with an embedded preview picture. (There's a specific checkbox in the File/Properties dialog of Office applications that enables this.)


Keyboard shortcuts

Action | Shortcut
Close DocCommander window (same as clicking Cancel) | Esc
Show Help topics | F1
Delete selected items | Del
Rename selected item | F2
Refresh folder display | F5
Go Back to previous folder | Alt+Left Arrow
Select all items | Ctrl+A


How to order

You can order a license:

1. Through the Internet.

This is the fastest and easiest way. The ordering page is secure, ensuring that your private information remains confidential.

http://www.utilityplanet.com/doccommander/order.htm

2. By fax, mail or toll-free voice call.

After your payment is approved you will receive your personal license number.


Getting support

To get support or report problems please contact UtilityPlanet Support service at:
support@utilityplanet.com

Please sign your email with the name you've used when purchasing your license. That way your question will be processed with a higher priority.

Trial users can get support only during the evaluation period.

If you report a problem, please include the following information into your letter:

Program version (available in About dialog box);

OS version, including updates and service packs installed and your OS language;

Your mail will be processed immediately.


Filling License Form

Please note that all fields should be filled exactly as you filled them in the online ordering form. All data is case sensitive.

The Name field should contain the licensee name.

For example:

Name: Margaret Bowell

The Company field should contain the company name. If the license type is Personal then this field may be left blank.

For example:

Company: 123 Communications, Inc

The License Type radio buttons should be set accordingly to the type of your license. If your license type is not Personal then enter the type description into the Other edit field.

For example:

Other: Corporate (25-user)

The License Number field should contain the license number. The license number is 64-symbols length. Instead of typing it manually you can copy it into clipboard and paste into the License Number field using Shift+Ins key combination or using context menu.

For example:

License Number: GJK8SRHOSRQ1NJR2QRCQLVB3JKMU9T5A2LDOAH9KC4JGN68EGFO7HK5JP5F79JIS

When you are done filling the form click the OK button. The license data will be verified and stored. In the future you can see your license data in the program's About box.

If, however, validation fails - the "License data incorrect" message box will be shown. In this case you should double-check all the form data and try to click OK again.

If license test fails again then you probably forgot something. You should apply to the Support Service.


Contacts

With all comments, suggestions, propositions please contact Sales department at:
sales@utilityplanet.com